package com.iqser.red.service.persistence.management.v1.processor.mapper;

import java.util.List;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import com.iqser.red.service.persistence.service.v1.api.shared.model.analysislog.entitylog.EntityLog;
import com.iqser.red.service.persistence.service.v1.api.shared.model.analysislog.entitylog.EntityLogEntry;
import com.iqser.red.service.persistence.service.v1.api.shared.model.analysislog.entitylog.EntityLogEntryResponse;
import com.iqser.red.service.persistence.service.v1.api.shared.model.analysislog.entitylog.EntityLogResponse;

@Mapper
public interface EntityLogResponseMapper {

    EntityLogResponseMapper INSTANCE = Mappers.getMapper(EntityLogResponseMapper.class);


    EntityLog fromLogResponse(EntityLogResponse entityLogResponse);


    EntityLogEntry fromLogEntryResponse(EntityLogEntryResponse entityLogEntryResponse);


    List<EntityLogEntry> fromLogEntryResponses(List<EntityLogEntryResponse> entityLogEntryResponses);


    EntityLogResponse toLogResponse(EntityLog entityLog);


    EntityLogEntryResponse toLogEntryResponse(EntityLogEntry entityLogEntry);


    List<EntityLogEntryResponse> toLogEntryResponses(List<EntityLogEntry> entityLogEntries);

}